slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSPowerGetSNES

Retrieve the nonlinear solver object (SNES) associated with the eigenvalue solver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerGetSNES(EPS eps,SNES *snes)

Not Collective

### Input Parameter

| eps | - the eigenvalue solver

### Output Parameter

| snes | - the nonlinear solver object

### See Also

EPSPowerSetSNES()

### Level

advanced

### Location

src/eps/impls/power/power.c

### Examples

src/eps/tutorials/ex34.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages